Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032861
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2016-05-04 17:132017-09-21 16:50
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisione47262bb76d3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032861: Product search key should be included in the error message shown in the Costing Background Process log

DescriptionProduct search key should be included in the error message shown in the Costing Background Process log. Currently you could have more than one product with the same name and it is difficult to find the product whose cost the process cannot calculate
Steps To ReproduceAs group admin role:
   Create two products with the same name but different search key
   Create a Goods Receipt and add the previously created two products
   Launch the Costing Background process and check you cannot distinguish the product it is failing. Process log:
      No Price List or Standard Cost found for given product. Org: <>, Product: <>, Date: <>
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098213)
collazoandy4 (developer)
2017-07-25 23:54

Test Plan
  As F&B Internation Group Admin Role
    Go to Product Window and create a new record:
      Search Key: P1
      Product: Product
    Create another record in Product Window:
      Search Key: P2
      Product: Product
   Go to Goods Receipt window and create anew record and add the previously created two products in Lines tab
   Go to Process Request window and Reeschedule the process and check in the Process log the Searck Key (SK) field of product is included
      No Price List or Standard Cost found for given product. Org: <>, Product: <>, SK: <>, Date: <>
(0099111)
hgbot (developer)
2017-09-18 14:09

Repository: erp/devel/pi
Changeset: e47262bb76d380818b10255a1e647953d91d9e3e
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Tue Jul 25 17:45:37 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/e47262bb76d380818b10255a1e647953d91d9e3e [^]

Fixes issue 32861: Product search key should be included in the error message
shown in the Costing Background Process log

The Product search key was included in the exception message to properly identified
the product causing the error.

---
M src/org/openbravo/costing/CostingAlgorithm.java
M src/org/openbravo/costing/CostingUtils.java
---
(0099112)
aferraz (developer)
2017-09-18 14:10

Code review + Testing OK
(0099407)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-04 17:13 ngarcia New Issue
2016-05-04 17:13 ngarcia Assigned To => Triage Finance
2016-05-04 17:13 ngarcia Modules => Core
2016-05-04 17:13 ngarcia Triggers an Emergency Pack => No
2016-05-04 17:13 ngarcia Issue Monitored: networkb
2017-07-25 23:15 collazoandy4 Status new => scheduled
2017-07-25 23:54 collazoandy4 Note Added: 0098213
2017-09-18 14:01 aferraz Assigned To Triage Finance => collazoandy4
2017-09-18 14:09 hgbot Checkin
2017-09-18 14:09 hgbot Note Added: 0099111
2017-09-18 14:09 hgbot Status scheduled => resolved
2017-09-18 14:09 hgbot Resolution open => fixed
2017-09-18 14:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e47262bb76d380818b10255a1e647953d91d9e3e [^]
2017-09-18 14:10 aferraz Review Assigned To => aferraz
2017-09-18 14:10 aferraz Note Added: 0099112
2017-09-18 14:10 aferraz Status resolved => closed
2017-09-18 14:10 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099407


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker